Draft Shape2DView/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft Shape2DView.svg {{{Name/jp}}}

メニュー位置
Draft -> Shape 2D View
ワークベンチ
製図, 建築
デフォルトのショートカット
None
参照
None


説明

このツールはシェイプベースオブジェクトの平面図である2Dオブジェクトをドキュメント内に配置します。

Draft Shape2DView example.jpg

使用方法

  1. 2Dビューを取り出したいオブジェクトを選択します
  2. Draft Shape2DView.png Draft Shape2DViewボタンを押します

オプション

  • 選択されているオブジェクトがArch SectionPlaneの場合、SectionPlane内のオブジェクトの2D射影が作成され、射影ベクトルは下記のProjectionプロパティではなくSectionPlaneのものが使用されます。
  • 通常の操作モードは Solidで形状全体が射影されますが、2Dビュー作成時にベースオブジェクトの面を選択している場合はIndividual Faces モードを設定し選択された面だけを射影することが可能です。
  • 選択されているオブジェクトがArch SectionPlaneの場合、cutlines射影モードを利用して断面によって切断されるエッジだけを射影することも可能です。

プロパティ

  • DATAProjection: 射影方向
  • DATAProjection Mode: 射影モード。solid、individual faces、cutlinesのいずれか。


スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからDraft Shape2DViewツールを使用することが可能です。

makeShape2DView (object,[projection,facenumbers]): ドキュメントに指定されたobjectの2D射影の2Dシェイプを追加します。
特定の射影方向を指定しすることもできます。この関数は作成されたオブジェクトを返します。処理に使用する面番号のリストを指定することも可能です。

例:

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg